Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlae2

    java.lang.Object
      org.netlib.lapack.Dlae2

    public class Dlae2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAE2  computes the eigenvalues of a 2-by-2 symmetric matrix
     *     [  A   B  ]
     *     [  B   C  ].
     *  On return, RT1 is the eigenvalue of larger absolute value, and RT2
     *  is the eigenvalue of smaller absolute value.
     *
     *  Arguments
     *  =========
     *
     *  A       (input) DOUBLE PRECISION
     *          The (1,1) element of the 2-by-2 matrix.
     *
     *  B       (input) DOUBLE PRECISION
     *          The (1,2) and (2,1) elements of the 2-by-2 matrix.
     *
     *  C       (input) DOUBLE PRECISION
     *          The (2,2) element of the 2-by-2 matrix.
     *
     *  RT1     (output) DOUBLE PRECISION
     *          The eigenvalue of larger absolute value.
     *
     *  RT2     (output) DOUBLE PRECISION
     *          The eigenvalue of smaller absolute value.
     *
     *  Further Details
     *  ===============
     *
     *  RT1 is accurate to a few ulps barring over/underflow.
     *
     *  RT2 may be inaccurate if there is massive cancellation in the
     *  determinant A*C-B*B; higher precision or correctly rounded or
     *  correctly truncated arithmetic would be needed to compute RT2
     *  accurately in all cases.
     *
     *  Overflow is possible only if RT1 is within a factor of 5 of overflow.
     *  Underflow is harmless if the input data is 0 or exceeds
     *     underflow_threshold / macheps.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`Dlae2()`

Method Summary
`static void` | `dlae2(double a, double b, double c, doubleW rt1, doubleW rt2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlae2

    public Dlae2()

Method Detail

### dlae2

    public static void dlae2(double a,
                             double b,
                             double c,
                             doubleW rt1,
                             doubleW rt2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD